/*******************************************************************************
 * Copyright 2013 2Fi Business Solutions Ltd.
 *
 * This code is part of the PCS project.
 *
 * This code is copyrighted. Under no circumstances should any party, people,
 * or organization should redistribute any portions of this code in any form,
 * either verbatim or through electronic media, to any third parties, unless
 * under explicit written permission by 2Fi Business Solutions Ltd.
 ******************************************************************************/
package com.ffii.tbms.customer;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ffii.core.BaseEntity;

@Entity
@Table(name = "customer")
public class Customer extends BaseEntity<Integer> {

	private static final long serialVersionUID = -7086241311009708530L;


	@Column(columnDefinition = "varchar(255)")
	private String surname;

	@Column(columnDefinition = "varchar(255)")
	private String firstName;

	@Column(columnDefinition = "varchar(255)")
	private String nameCh;

	@Column(columnDefinition = "varchar(255)")
	private String phone1;

	@Column(columnDefinition = "varchar(255)")
	private String phone2;

	@Column(columnDefinition = "varchar(255)")
	private String companyName;

	@Column(columnDefinition = "varchar(255)")
	private String companyPhone;

	@Column(columnDefinition = "varchar(255)")
	private String companyEmail;

	@Column(columnDefinition = "varchar(255)")
	private String companyAddress;

	@Column(columnDefinition = "varchar(255)")
	private String email;

	@Column(columnDefinition = "varchar(255)")
	private String address;

	@Column(columnDefinition = "varchar(255)")
	private String remarks;

	@Column(columnDefinition = "int(11)")
	private Integer ref;

	@Column(columnDefinition = "varchar(255)")
	private String tag;

	
	public Customer() {
	}

	public String getSurname() {
		return surname;
	}

	public void setSurname(String surname) {
		this.surname = surname;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getNameCh() {
		return nameCh;
	}

	public void setNameCh(String nameCh) {
		this.nameCh = nameCh;
	}

	public String getPhone1() {
		return phone1;
	}

	public void setPhone1(String phone1) {
		this.phone1 = phone1;
	}

	public String getPhone2() {
		return phone2;
	}

	public void setPhone2(String phone2) {
		this.phone2 = phone2;
	}

	public String getCompanyPhone() {
		return companyPhone;
	}

	public void setCompanyPhone(String companyPhone) {
		this.companyPhone = companyPhone;
	}

	public String getCompanyEmail() {
		return companyEmail;
	}

	public void setCompanyEmail(String companyEmail) {
		this.companyEmail = companyEmail;
	}

	public String getCompanyAddress() {
		return companyAddress;
	}

	public void setCompanyAddress(String companyAddress) {
		this.companyAddress = companyAddress;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public Integer getRef() {
		return ref;
	}

	public void setRef(Integer ref) {
		this.ref = ref;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getTag() {
		return tag;
	}

	public void setTag(String tag) {
		this.tag = tag;
	}

}
